Summary: Linux Logical Volume Manager utilities.
Name: lvm
Version: 1.0.7
Release: 1m
License: GPL
Group: System Environment/Base
URL: http://www.sistina.com/products_lvm.htm
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: ftp://linux.msede.com/lvm/1.0/lvm_%{version}.tar.gz
NoSource: 0
Source2: pvscan.8
Patch0: lvm-1.0.3-evilinstall.patch
#Patch1: lvm-0.9-paths.patch
#Patch2: lvm-0.9-broken.patch
Patch3: lvm-1.0.3-dietlibc.patch
Patch4: lvm-1.0.3-dietllseek.patch
Patch5: lvm-1.0.3-wrapper2.patch
Patch6: lvm-1.0.6-pvmove.patch
Patch8: lvm-1.0.3-cookie.patch
Patch9: lvm-1.0.3-vgscanfix.patch
Patch10: lvm-initrd.patch

%description
LVM includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadd(8) or even loop devices, see
losetup(8)), creating volume groups (kind of virtual disks) from one
or more physical volumes and creating one or more logical volumes
(kind of logical partitions) in volume groups.

%prep

%setup -q -n LVM
cd %{version}

%patch0 -p2 -b .evilinstall
%patch3 -p2 -b .diet
%patch6 -p2 -b .pvmove
%patch8 -p2
%patch9 -p2 -b .vgscanfix
%patch10 -p2


# ugly hack to build diet-ized vgchange and vgscan
%ifarch i386
patch -p2 -i %{PATCH4}
export CC="diet gcc"
%endif


# make the wrapper
patch -p2 -i %{PATCH5}

%build

cd %{version}
# make static versions of vgchange and vgscan (diet-ized on i386)
%configure --prefix=/usr --sbindir=/sbin --libdir=%{_lib} --enable-static_link

pushd tools/lib
make
cd ..
make vgwrapper
mv vgwrapper vgwrapper.static
make clean
popd


patch -p2 -R -i %{PATCH5}

%ifarch i386
patch -p2 -R -i %{PATCH4}
export CC=gcc
%endif

rm -f tools/vgwrapper.c tools/vgwrapper.o
rm config.cache
%configure --prefix=/usr  --sbindir=/sbin --libdir=/%{_lib} 
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib} $RPM_BUILD_ROOT/sbin \
         $RPM_BUILD_ROOT/%{_mandir}/man8
cd %{version}
make DESTDIR=$RPM_BUILD_ROOT install

# install static versions
install -m 755 tools/vgwrapper.static $RPM_BUILD_ROOT/sbin/vgwrapper
ln $RPM_BUILD_ROOT/sbin/vgwrapper $RPM_BUILD_ROOT/sbin/vgchange.static
ln $RPM_BUILD_ROOT/sbin/vgwrapper $RPM_BUILD_ROOT/sbin/vgscan.static

#
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/%{_mandir}/man8/pvscan.8

# remove unpackaged files from the buildroot
rm -rf $RPM_BUILD_ROOT/usr/lib

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig 
%postun -p /sbin/ldconfig 

%files
%defattr(-,root,root)
%doc %{version}/ABSTRACT %{version}/CHANGELOG %{version}/CONTRIBUTORS
%doc %{version}/LVM-HOWTO %{version}/README %{version}/TODO
%doc %{version}/WHATSNEW %{version}/FAQ
%{_mandir}/man8/*
/%{_lib}/*
/sbin/*

%ChangeLog
* Fri Mar 14 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.7-1m)
  update to 1.0.7

* Sat Jan  4 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.6-2m)
- add some patches from rawhide.

* Sat Nov  2 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.6-1m)
- change URL

* Tue Jul 23 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.5-1m)
  update to 1.0.5

* Sat May 11 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0.4-2k)
  update to 1.0.4

* Fri Mar 22 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0.3-4k)
- added depmod option -F

* Wed Feb 27 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0.3-2k)
- update to 1.0.3

* Wed Dec 19 2001 Tsutomu Yasuda <tom@kondara.org>
- bug fix & xfs, jfs, ext3 support

* Thu Nov 29 2001 Tsutomu Yasuda <tom@kondara.org>
- shared library move to /lib

* Wed Oct 31 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 1.0.1-rc4
  1.0 is not work B-<

* Wed Oct 31 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- support reiserfs module in lvmcreate_initrd

* Mon Oct 22 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- remove lvm-alpha-long.patch

* Thu Sep 13 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 1.0

* Sat Jul  7 2001 Toru Hoshina <toru@df-usa.com>
- (0.9.1-0.0007006k)
- use long on alpha platform.

* Tue Jul  3 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.9.1-0.0007002k)
  first release
